Bug 53088 - widow and orphan control does not work properly in table cells (BgID 35285 similar case?)
Summary: widow and orphan control does not work properly in table cells (BgID 35285 si...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2012-08-03 08:57 UTC by Thomas Esher
Modified: 2018-06-24 02:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example for the orphan-widow-bug in table cells (17.35 KB, application/vnd.oasis.opendocument.text)
2012-08-03 08:57 UTC, Thomas Esher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Esher 2012-08-03 08:57:10 UTC
Created attachment 65079 [details]
Example for the orphan-widow-bug in table cells

s. Attachment
You may have to adapt it to your page layout
Comment 1 A (Andy) 2013-02-16 15:49:20 UTC
Could you please provide more information to reproduce this issue.
Comment 2 Thomas Esher 2013-02-16 19:17:01 UTC
"Widow" is a technical term of typesetter jargon. It is the single last line of an paragraph on a new page. Typesetters consider this ugly layout. Paragraph control should provide for pushing an extra line on the new page in this case.

THE FOLLOWING BEHAVIOUR IS CORRECT
This behavior you can experience when you take the attached example, go on page 2 below the line "But out of the cell it works" and delete only one line-feed - result: both lines on page 3 go up to page 2 together. Now press again return one time and two of the last lines will be pushed over to the next page.

This is controlled by paragraph format "Text flow" (my German UI says "Textfluss")
at the bottom of the dialog window. There you should find something like "orphan contol" and "widow control" with default setting to 2 lines each.

THE FOLLOWING BEHAVIOUR IS BUGGY
Now go to page 1 of the attached example below the line "Below the widow example"
and do the same as above. You can now observe as the "widow line" in the table cell disappears from page 2 when you delete on line. And it reappears when you press return.



Similar facts hold for an "orphan" as typesetters call them: A single line of a new paragraph at the end of a page. The attached file has pertinent examples prepared on pages 3 to 5.
Comment 3 Thomas Esher 2013-02-16 19:18:36 UTC
(In reply to comment #1)
> Could you please provide more information to reproduce this issue.

pls see Comment2
Comment 4 A (Andy) 2013-02-16 21:07:05 UTC
Nice and very interesting feature that I did not know/use before, but I have studied this in this sample with the additional explanation and now I can confirm this bug.  This behavior is really buggy and not consistent according to the rules.

@Thomas: Thank you very much for your fast response, so that I could reproduce this bug.

Result: reproducible with LO 4.0.0.3 (Win7 Home, 64bit)
Comment 5 Thomas Esher 2013-02-17 00:34:39 UTC
--- Von unterwegs gesendet. ---



bugzilla-daemon@freedesktop.org schrieb:

A changed bug 53088
WhatRemovedAddedStatusNEEDINFO NEW

Comment # 4 on bug 53088 from A Nice and very interesting feature that I did not know/use before, but I have studied this in this sample with the additional explanation and now I can confirm this bug. This behavior is really buggy and not consistent according to the rules. @Thomas: Thank you very much for your fast response, so that I could reproduce this bug. Result: reproducible with LO 4.0.0.3 (Win7 Home, 64bit)

_____________________________________________
You are receiving this mail because: You reported the bug.
Comment 6 QA Administrators 2015-02-19 15:36:33 UTC Comment hidden (obsolete)
Comment 7 Buovjaga 2015-03-07 12:33:07 UTC
Confirmed.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 8 tommy27 2016-04-16 07:27:54 UTC Comment hidden (obsolete)
Comment 9 Thomas Esher 2016-04-17 21:35:08 UTC
Checked again with

• Win7 (64)
LO Version: 5.0.5.2
Build-ID: 55b006a02d247b5f7215fc6ea0fde844b30035b3
Gebietsschema: de-DE (de_DE)

• ubuntu 
LO Version: 5.0.2.2
Build ID: 00m0(Build:2)
Locale: en-US (en_US.UTF-8)

Bug is still reproducible.
Comment 10 Thomas Esher 2016-04-18 06:49:08 UTC
REGRESSION check executed.

Result: Bug present in LO 3.3

Version changed to INHERITED.
Comment 11 Sapomaro 2017-01-04 02:34:17 UTC
Paragraph text flow orphan and widow control still doesn't work in table cells.

Reproducible in Windows 10 Home and Windows 7 Home
LibreOffice Writer Version: 5.2.4.2 (x64) and older versions
Build ID: 3d5603e1122f0f102b62521720ab13a38a4e0eb0
Comment 12 QA Administrators 2018-06-24 02:40:50 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug